//
//  ViewController.m
//  处理btn的文字和图片动画
//
//  Created by zhou on 16/4/28.
//  Copyright © 2016年 zhou. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()<UITableViewDelegate,UITableViewDataSource>

@property (weak, nonatomic) IBOutlet UIButton *donghuabtn;
@property (weak, nonatomic) IBOutlet UIButton *donghuaBtn2;

@property (nonatomic, strong) UIView *typeView;

@property (nonatomic,assign) BOOL isSelect;

@property (nonatomic, strong) UIButton *btn1;

@property (nonatomic, strong) UIButton *btn2;

@property (nonatomic, strong) UIButton *btn3;

@property (nonatomic, strong) UIButton *btn4;

@property (nonatomic, strong) UIButton *btn5;

//动画2
@property (nonatomic, strong) UITableView *tableview;

@property (nonatomic, strong) NSArray *dataArray;

@property (nonatomic,assign) BOOL isDonghua;

@property (nonatomic, strong) UIButton *btn21;

@property (nonatomic, strong) UIButton *btn22;

@property (nonatomic, strong) UIButton *btn23;

@property (nonatomic, strong) UIButton *btn24;

@property (nonatomic, strong) UIButton *btn25;


@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    //动画1
    self.isSelect = YES;
    
    [self.donghuabtn setTitle:@"其他专业人才" forState:UIControlStateNormal];
    self.donghuabtn.tag = 0;
    
    [self.donghuabtn setImage:[UIImage imageNamed:@"YellowDownArrow"] forState:UIControlStateNormal];
    [self.donghuabtn setTintColor:[UIColor grayColor]];
    
    self.donghuabtn.imageView.transform = CGAffineTransformRotate(self.donghuabtn.imageView.transform, M_PI_2);
    
    //动画2
    self.tableview.delegate = self;
    self.tableview.dataSource = self;
    
    self.dataArray = @[@"深圳地税征管信息化专业人才",@"深圳地税税政专业人才",@"深圳地税征管法律专业人才",@"深圳地税税涉外税收专业人才",@"其他专业人才"];
    
    [self.donghuaBtn2 setTitle:@"其他专业人才" forState:UIControlStateNormal];
    self.donghuaBtn2.tag = 0;

    self.isDonghua = YES;
    
    [self.donghuaBtn2 setImage:[UIImage imageNamed:@"YellowDownArrow"] forState:UIControlStateNormal];
    [self.donghuaBtn2 setTintColor:[UIColor grayColor]];
    
    self.donghuaBtn2.imageView.transform = CGAffineTransformRotate(self.donghuaBtn2.imageView.transform, M_PI_2);
    
}
- (IBAction)btnClick:(UIButton *)sender {
    
    [self typeView];
    
    [UIView animateWithDuration:0.25 animations:^{
        CGRect typeFrame = self.typeView.frame;
        typeFrame.size.height = typeFrame.size.height ? 0 : 190;
        
        self.typeView.frame = typeFrame;
        
    } completion:^(BOOL finished) {
        if (self.isSelect) {
            self.donghuabtn.imageView.transform = CGAffineTransformRotate(self.donghuabtn.imageView.transform, -M_PI_2);
            self.isSelect = NO;
            self.btn1.hidden = NO;
            self.btn2.hidden = NO;
            self.btn3.hidden = NO;
            self.btn4.hidden = NO;
            self.btn5.hidden = NO;
            
        }else
        {
            self.donghuabtn.imageView.transform = CGAffineTransformRotate(self.donghuabtn.imageView.transform, M_PI_2);
            self.isSelect = YES;
            self.btn1.hidden = YES;
            self.btn2.hidden = YES;
            self.btn3.hidden = YES;
            self.btn4.hidden = YES;
            self.btn5.hidden = YES;
            
        }
        
    }];

}

//人才类型的下拉view
- (UIView *)typeView
{
    if (_typeView == nil) {
        
        _typeView = [[UIView alloc]init];
        UIView *v = _typeView;
        
        v.frame = CGRectMake(self.donghuabtn.frame.origin.x,self.donghuabtn.frame.origin.y + self.donghuabtn.bounds.size.height, self.donghuabtn.bounds.size.width, 0);
        
        v.backgroundColor = [UIColor grayColor];
        
        
        UIButton *btn1 = [[UIButton alloc]initWithFrame:CGRectMake(0, 0, v.bounds.size.width, 30)];
        self.btn1 = btn1;
        btn1.tag = 1;
        [btn1 setTitle:@"深圳地税征管信息化专业人才" forState:UIControlStateNormal];
        btn1.titleLabel.font = [UIFont systemFontOfSize:14];
        btn1.contentHorizontalAlignment = UIControlContentHorizontalAlignmentLeft;//左对齐
        [btn1 addTarget:self action:@selector(choseClick:) forControlEvents:UIControlEventTouchUpInside];
        [v addSubview:btn1];
        
        UIButton *btn2 = [[UIButton alloc]initWithFrame:CGRectMake(0, btn1.bounds.size.height+8, v.bounds.size.width, 30)];
        self.btn2 = btn2;
        btn2.tag = 2;
        btn2.contentHorizontalAlignment = UIControlContentHorizontalAlignmentLeft;
        [btn2 setTitle:@"深圳地税税政专业人才" forState:UIControlStateNormal];
        btn2.titleLabel.font = [UIFont systemFontOfSize:14];
        [btn2 addTarget:self action:@selector(choseClick:) forControlEvents:UIControlEventTouchUpInside];
        [v addSubview:btn2];
        
        UIButton *btn3 = [[UIButton alloc]initWithFrame:CGRectMake(0, btn2.frame.origin.y+btn2.bounds.size.height+8, v.bounds.size.width, 30)];
        self.btn3 = btn3;
        btn3.tag = 3;
        btn3.contentHorizontalAlignment = UIControlContentHorizontalAlignmentLeft;
        [btn3 setTitle:@"深圳地税征管法律专业人才" forState:UIControlStateNormal];
        btn3.titleLabel.font = [UIFont systemFontOfSize:14];
        [btn3 addTarget:self action:@selector(choseClick:) forControlEvents:UIControlEventTouchUpInside];
        [v addSubview:btn3];
        
        UIButton *btn4 = [[UIButton alloc]initWithFrame:CGRectMake(0, btn3.frame.origin.y + btn3.bounds.size.height+8, v.bounds.size.width, 30)];
        self.btn4 = btn4;
        btn4.tag = 4;
        btn4.contentHorizontalAlignment = UIControlContentHorizontalAlignmentLeft;
        [btn4 setTitle:@"深圳地税税涉外税收专业人才" forState:UIControlStateNormal];
        btn4.titleLabel.font = [UIFont systemFontOfSize:14];
        [btn4 addTarget:self action:@selector(choseClick:) forControlEvents:UIControlEventTouchUpInside];
        [v addSubview:btn4];
        
        
        UIButton *btn5 = [[UIButton alloc]initWithFrame:CGRectMake(0, btn4.frame.origin.y + btn4.bounds.size.height+8, v.bounds.size.width, 30)];
        self.btn5 = btn5;
        btn5.tag = 0;
        btn5.contentHorizontalAlignment = UIControlContentHorizontalAlignmentLeft;
        [btn5 setTitle:@"其他专业人才" forState:UIControlStateNormal];
        btn5.titleLabel.font = [UIFont systemFontOfSize:14];
        [btn5 addTarget:self action:@selector(choseClick:) forControlEvents:UIControlEventTouchUpInside];
        [v addSubview:btn5];
        
        [self.view addSubview:_typeView];
    }
    return _typeView;
}
//人才类型的下拉view中的选择
- (void)choseClick:(UIButton *)sender
{
    if (sender.tag == 1) {
        [self.donghuabtn setTitle:@"深圳地税征管信息化专业人才" forState:UIControlStateNormal];
        self.donghuabtn.tag = 1;
    }else if (sender.tag == 2){
        [self.donghuabtn setTitle:@"深圳地税税政专业人才" forState:UIControlStateNormal];
        self.donghuabtn.tag = 2;
    }else if (sender.tag == 3){
        [self.donghuabtn setTitle:@"深圳地税征管法律专业人才" forState:UIControlStateNormal];
        self.donghuabtn.tag = 3;
    }else if (sender.tag == 4){
        [self.donghuabtn setTitle:@"深圳地税税涉外税收专业人才" forState:UIControlStateNormal];
        self.donghuabtn.tag = 4;
    }else if (sender.tag == 0){
        [self.donghuabtn setTitle:@"其他专业人才" forState:UIControlStateNormal];
        self.donghuabtn.tag = 0;
        
    }
    
    CGRect typeFrame = self.typeView.frame;
    typeFrame.size.height = 0;
    
    self.typeView.frame = typeFrame;
    
    self.donghuabtn.imageView.transform = CGAffineTransformRotate(self.donghuabtn.imageView.transform, M_PI_2);
    self.isSelect = YES;
    
    if (self.typeView.bounds.size.height == 0) {
        self.btn1.hidden = YES;
        self.btn2.hidden = YES;
        self.btn3.hidden = YES;
        self.btn4.hidden = YES;
        self.btn5.hidden = YES;
    }else
    {
        self.btn1.hidden = NO;
        self.btn2.hidden = NO;
        self.btn3.hidden = NO;
        self.btn4.hidden = NO;
        self.btn5.hidden = NO;
        
    }
    
}
- (IBAction)donghua2Click:(UIButton *)sender {
    [self tableview];
    
    [UIView animateWithDuration:0.25 animations:^{
        CGRect typeFrame = self.tableview.frame;
        typeFrame.size.height = typeFrame.size.height ? 0 : 200;
        
        self.tableview.frame = typeFrame;
        
    } completion:^(BOOL finished) {
        if (self.isDonghua) {
            self.donghuaBtn2.imageView.transform = CGAffineTransformRotate(self.donghuaBtn2.imageView.transform, -M_PI_2);
            self.isDonghua = NO;
            
        }else
        {
            self.donghuaBtn2.imageView.transform = CGAffineTransformRotate(self.donghuaBtn2.imageView.transform, M_PI_2);
            self.isDonghua = YES;
            
        }
        
    }];

}

- (UITableView *)tableview
{
    if (_tableview == nil) {
        _tableview = [[UITableView alloc]init];
        _tableview.frame = CGRectMake(self.donghuaBtn2.frame.origin.x, self.donghuaBtn2.frame.origin.y+self.donghuaBtn2.bounds.size.height, self.donghuaBtn2.bounds.size.width, 0);
        [self.view addSubview:_tableview];
    }
    return _tableview;
}
#pragma tableview的代理和数据源方法
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return self.dataArray.count;
}
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *cellid = @"id";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:cellid];
    if (cell == nil) {
        cell = [[UITableViewCell alloc]initWithStyle:UITableViewCellStyleDefault reuseIdentifier:cellid];
    }
    cell.textLabel.text = self.dataArray[indexPath.row];
    return cell;
}
- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    
    
    [self.donghuaBtn2 setTitle:self.dataArray[indexPath.row] forState:UIControlStateNormal];
    
    CGRect typeFrame = self.tableview.frame;
    typeFrame.size.height = 0;
    
    self.tableview.frame = typeFrame;
    
    self.donghuaBtn2.imageView.transform = CGAffineTransformRotate(self.donghuaBtn2.imageView.transform, M_PI_2);
    self.isDonghua = YES;
    
    self.donghuaBtn2.tag = indexPath.row;//提交的时候有可能用到
}

@end
